commit:     c42fef2a7d24eb6598be35fc0a2e218406532b5b
Author:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
AuthorDate: Mon Sep  7 21:25:11 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Sep 28 11:16:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c42fef2a

net-analyzer/nikto: new package

 - nikto is a web server vulnerability scanner.

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>
Closes: https://github.com/gentoo/gentoo/pull/17460
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-analyzer/nikto/Manifest                     |  1 +
 net-analyzer/nikto/metadata.xml                 | 12 +++++++
 net-analyzer/nikto/nikto-2.1.6_p20200901.ebuild | 46 +++++++++++++++++++++++++
 3 files changed, 59 insertions(+)

diff --git a/net-analyzer/nikto/Manifest b/net-analyzer/nikto/Manifest
new file mode 100644
index 00000000000..be93f585da6
--- /dev/null
+++ b/net-analyzer/nikto/Manifest
@@ -0,0 +1 @@
+DIST nikto-2.1.6_p20200901.tar.gz 521285 BLAKE2B 
243f0baf5835e5586b8270fc9dd1005c08e903f478666359c34bb0d30c0645f5ab9a19109718dbbd2f6015dcb64c3a98b832b5412c9151720dedd102fb1936d1
 SHA512 
88b9e681ce4588e3473f90c93ea41d46fc99a54b895185465cfe1a28152ad944edbadfcf5cee4540b4ec48eb78ca73a1952637c3da9038e52d837c0de5d0260c

diff --git a/net-analyzer/nikto/metadata.xml b/net-analyzer/nikto/metadata.xml
new file mode 100644
index 00000000000..91f5940d4d0
--- /dev/null
+++ b/net-analyzer/nikto/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Quentin Retornaz</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+</pkgmetadata>

diff --git a/net-analyzer/nikto/nikto-2.1.6_p20200901.ebuild 
b/net-analyzer/nikto/nikto-2.1.6_p20200901.ebuild
new file mode 100644
index 00000000000..5d64088ea89
--- /dev/null
+++ b/net-analyzer/nikto/nikto-2.1.6_p20200901.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Web server vulnerability scanner"
+HOMEPAGE="https://www.cirt.net/Nikto2";
+COMMIT="fb2655b8316097723d4977c792817a21117b2736"
+MY_P="${PN}-${COMMIT}"
+SRC_URI="https://github.com/sullo/nikto/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+
+# nikto provides its own libwhisker, do no use net-libs/libwhisker[ssl]
+# https://bugs.gentoo.org/533900
+RDEPEND="
+       dev-lang/perl
+       dev-perl/Net-SSLeay
+       net-analyzer/nmap
+       virtual/perl-JSON-PP
+"
+
+S="${WORKDIR}/${MY_P}/program"
+
+src_prepare() {
+       sed -i -e 's:/etc/nikto.conf:/etc/nikto/nikto.conf:' nikto.pl || die
+       sed -i -e 's:# EXECDIR=/opt/nikto:EXECDIR=/usr/share/nikto:' 
nikto.conf.default || die
+
+       default
+}
+
+src_install() {
+       insinto /etc/nikto
+       newins nikto.conf.default nikto.conf
+
+       dobin nikto.pl replay.pl
+       dosym nikto.pl /usr/bin/nikto
+
+       insinto /usr/share/nikto
+       doins -r plugins templates databases
+
+       dodoc docs/*.txt
+       dodoc docs/nikto_manual.html
+}

Reply via email to